What Versions of Android and Apple are Supported by the backstitch App?

Ensure your devices are up to date to have the best App experience

 

Android:

  • Android 6.0 or later is supported by backstitch

Apple:

  • iOS 10.0 or later is supported backstitch